<!doctype html>

<!-- Document written in English -->
<html lang="en" data-theme="default" data-font-size="default" data-font-family="default" data-underline-links="default">

<!-- Styleguide: Honour the Google styleguide: https://google.github.io/styleguide/htmlcssguide.html#HTML_Style_Rules -->

<head>
    <!-- Document encoded in UTF-8 -->
    <meta charset="UTF-8">

    <!-- Ensure proper rendering on different devices -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!-- Pragma directive to ensure Edge is used when rendering in IE -->
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <!-- Normalize across various browsers using the popular normalize.css -->
    <link href="stylesheets/normalize.css" rel="stylesheet">

    <!-- Load style sheets -->
    <link href="stylesheets/main.css" rel="stylesheet">

    <!-- Show current page name - pipe - website name in browser title -->
    <title>Home | Lions Home for Aging Blind</title>
    <link rel="icon" href="assets/images/header/favicon.ico" type="image/x-icon">

    <!-- Meta tags for search engines -->
    <meta name="author" content="Kshitij Gupta">
    <meta name="description" content="The NAB Lions Home for Aging Blind provides it's residents
           with a free shelter, occupational therapy, medical support
           and essential needs.">
    <meta name="keywords" content="NAB, lions, home, visual, impairment, aging, blind">

    <!-- Load external libraries -->
    <script src="scripts/libs/handlebars.min-v4.7.8.js"></script>
    <script src="scripts/libs/jquery-3.7.1.min.js"></script>
    <script src="scripts/libs/anime.min.js"></script>

    <!-- Using the social media icons from solid+brands (free) part of font awesome -->
    <script defer src="scripts/libs/fontawesome/brands.js"></script>
    <script defer src="scripts/libs/fontawesome/solid.js"></script>
    <script defer src="scripts/libs/fontawesome/fontawesome.js"></script>
</head>

<body>

<!-- The header is populated using a handlebars.js script + template
     This way  we can easily update the header across all pages by updating the template.
     Note that the header includes the primary nav and other sticky DOM elements.
     Please see the header template for more details.
-->
<header id="header" class="header-container"></header>

<!-- The hero section is an aside with a full viewport video background with an overlay -->
<aside class="hero fill-viewport">
    <video autoplay muted loop>
        <source src="assets/videos/hero.mp4" type="video/mp4">
        Your browser does not support the video tag.
    </video>

    <!--  The overlay has a semi-transparent background to ensure the text is readable   -->
    <div class="h1-overlay">
        <h1>We help the blind to envision </h1>
    </div>
</aside>

<!-- The main section is split across three articles with different content:
        1. Missions
        2. Testimonials
        3. Latest
        Each article acts as a semantic division.
-->
<main>

    <!--  This is the missions article containing four sections with images and text:
            1. Empowering Lives
            2. Harmony in Action
            3. Recognizing Effort
            4. Enhancing Joy
            Each section has a heading and a paragraph with a span for emphasis.

            The missions are laid out in a zig-zag pattern following the Gutenberg diagram.
      -->
    <article id="missions" class="article-dark">

        <!--  The article has its own heading.-->
        <h2>Our Missions</h2>

        <!--  Wrap the sections in a flex container with a responsive layout, with on-scroll animation.-->
        <div class="content-auto scroll-before show-on-scroll">
            <!-- The section containing the heading and text take up more space than the image in the flex container -->
            <section class="content-large-item">
                <h3>Empowering Lives: <span>Fostering Independence and Dignity</span></h3>
                <p>We believe in providing residents with opportunities to make choices, learn new skills, and
                   contribute to
                   the community. This fosters a sense of responsibility, purpose, and self-worth, allowing them to
                   live
                   with dignity and respect.</p>
            </section>
            <img src="assets/images/index/resident_making_cane_baskets.jpg" alt="A resident making cane baskets as part of an OT session" class="zoom-in-on-hover round-border">
        </div>

        <!--  Second mission with same pattern. -->
        <div class="content-auto reverse scroll-before show-on-scroll">
            <section class="content-large-item">
                <h3>Harmony in Action: <span>Music and Connection</span></h3>
                <p>Our unique music orchestra group allows residents to express themselves creatively, connect with
                   others,
                   and share their talents with the community. This fosters a sense of belonging, joy, and
                   accomplishment. </p>
            </section>
            <img src="assets/images/index/resident_orchestra_playing_music.jpg" alt="The resident orchestra playing music at the residence" class="zoom-in-on-hover round-border">
        </div>

        <!--  Third mission with same pattern. -->
        <div class="content-auto scroll-before show-on-scroll">
            <section class="content-large-item">
                <h3>Recognizing Effort: <span>Rewards and Appreciation</span></h3>
                <p>We acknowledge the value of residents' participation in activities and contributions to the home.
                   Pocket
                   money serves as a token of appreciation and encourages continued engagement.</p>
            </section>
            <img src="assets/images/index/canteen.jpg" alt="A picture of the canteen where several residents are having their lunch" class="zoom-in-on-hover round-border">
        </div>

        <!--  Fourth mission with same pattern. -->
        <div class="content-auto reverse scroll-before show-on-scroll">
            <section class="content-large-item">
                <h3>Enhancing Joy: <span>Entertainment Choices for All</span></h3>
                <p>We provide access to a variety of entertainment options, including radio, television, and other
                   resources, catering to individual preferences and promoting relaxation and enjoyment.</p>
            </section>
            <img src="assets/images/index/relaxing_residents.jpg" alt="Two residents relaxing on a swing in the front lawn of the residence" class="zoom-in-on-hover round-border">
        </div>

    </article> <!-- End of missions article -->

    <!--  This is the testimonials article containing a carousel of testimonials
            Each testimonial is a blockquote with a citation.
    -->
    <article id="testimonials" class="article-light">
        <h2>Testimonials</h2>

        <!--  The carousel is a flex container with a horizontal layout and overflow hidden.
              The carousel is animated using JavaScript to show one testimonial at a time.
        -->
        <div class="carousel">

            <!-- Each testimonial is wrapped in a division for styling.
                 Only the first testimonial is active by default.
            -->
            <div class="testimonial fade">
                <blockquote>
                    <p>"Worth a visit. Witness how the visually challenged weave magic on the looms.”</p>
                </blockquote>
                <cite>— Shaelesh Rupareliea</cite>
            </div> <!-- End of testimonial -->

            <!-- Second testimonial -->
            <div class="testimonial fade">
                <blockquote>
                    <p>“Heart warming experience. They have so much dignity and self-respect. Truly humbling.”</p>
                </blockquote>
                <cite>— Sadie CJ</cite>
            </div> <!-- End of testimonial -->

            <!-- Third testimonial -->
            <div class="testimonial fade">
                <blockquote>
                    <p>“It's so wonderful to know a place exists where blind people are accommodated to stay and
                       earn
                       their living. A great initiative.”</p>
                </blockquote>
                <cite>— Vishal Khumbat</cite>
            </div> <!-- End of testimonial -->
        </div> <!-- End of carousel -->

        <!--  The dots are used to indicate which testimonial is currently active.
              The dots are animated using JavaScript to show which testimonial is currently active.
        -->
        <div class="testimonial-dots">
            <span class="dot"></span>
            <span class="dot"></span>
            <span class="dot"></span>
        </div> <!-- End of testimonial dots -->
    </article> <!-- End of testimonials article -->

    <!--  This is the latest article containing three featured sections:
            1. Upcoming event
            2. Resident spotlight
            3. Past event
    -->
    <article id="latest" class="article-dark">
        <h2>Latest</h2>

        <!--  The featured sections are wrapped in a flex container with a responsive layout.-->
        <div class="content-auto">

            <!-- Each section has an image, a heading, and a link to the relevant page.
                    The link is visible on hover and gets an opaque overlay.
            -->
            <section class="latest-content round-border">
                <h3>Upcoming event: Holi</h3>
                <img src="assets/images/updates/upcoming_events/holi.jpeg" alt="A person's hands full of colours usually thrown at the festival of Holi">
                <a href="updates.html#upcoming-events">

                    <!--  The overlay should slide in from the top.-->
                    <div class="overlay">
                        <div class="overlay-text">See all upcoming events...</div>
                    </div>
                </a>
            </section>

            <!-- Resident spotlight section with identical pattern -->
            <section class="latest-content round-border">
                <h3>Interview: Mr Birla</h3>
                <img src="assets/images/updates/resident_spotlights/resident_1.jpg" alt="A picture during a conversation with a resident, Mr Birla">
                <a href="updates.html#resident-spotlights">
                    <div class="overlay">
                        <div class="overlay-text">Read the full interview...</div>
                    </div>
                </a>
            </section>

            <!-- Past event section with identical pattern -->
            <section class="latest-content round-border">
                <h3>Past event: Diwali</h3>
                <img src="assets/images/updates/past_events/diwali.jpeg" alt="A group of residents celebrating the festival of Diwali">
                <a href="updates.html#past-events">
                    <div class="overlay">
                        <div class="overlay-text">See all past events...</div>
                    </div>
                </a>
            </section>
        </div> <!-- End of latest content sections wrapper -->

    </article> <!-- End of latest article -->

</main>

<!-- The footer is populated using a handlebars.js script + template.
     This way  we can easily update the footer across all pages by updating the template.
     Note that the footer includes the sitemap, social media links and copyright.
     Please see the footer template for more details.
-->
<footer id="footer"></footer>

<!-- Load scripts -->
<!-- Defer to ensure script is run after document has been parsed (but DOM load is checked inside of the script) -->
<script defer src="./scripts/main.js"></script>

</body>

</html>